All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts.groups
Class ModalChoiceGroup

    com.sas.prompts.groups.ModalChoiceGroup

All Implemented Interfaces:
  com.sas.models.VersionInterface, com.sas.prompts.groups.ModalChoiceGroupInterface, PromptGroupInterface, com.sas.prompts.groups.PromptGroupV2Interface, com.sas.prompts.groups.TransparentGroupInterface, com.sas.prompts.IdentifiablePromptInterface, com.sas.prompts.MutableIdentifiablePromptInterface, com.sas.storage.editableproperties.LocalizableProperties, com.sas.storage.editableproperties.MultiLocaleProperties, com.sas.storage.editableproperties.SubstitutionProperties, com.sas.uiconfig.ContextEnabledObject, com.sas.util.AttributeConfigurationInterface, com.sas.util.log.ComponentLogFactoryInterface, com.sas.util.ResourceReferencesInterface, com.sas.util.xmlpersist.PersistenceInterface, java.io.Externalizable, java.io.Serializable

    public class ModalChoiceGroup

implements com.sas.prompts.groups.ModalChoiceGroupInterface

Prompt group which is the child of a ModalGroup to indicate a set of prompts for the user to choose from. Each modal choice group represents one set of prompts that may be shown to the user depending on a selection by the user. The labels of all the ModalChoiceGroups in a given ModalGroup are typically presented in a dropdown to the user. Depending on which label is selected, the prompts in the associated ModalChoiceGroup will be shown. The value of the selected ModalChoiceGroup will then be set as the value of the ModalGroupDefinition associated with the ModalGroup.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.prompts.groups.PromptGroupInterface
`PROMPT_GROUP_VALIDATION_ERROR_DISALLOWED_PROMPT_DEFINITION, PROMPT_GROUP_VALIDATION_ERROR_DUPLICATE_MODAL_CHOICE_VALUE, PROMPT_GROUP_VALIDATION_ERROR_NOT_VALID_SUBGROUP, PROMPT_GROUP_VALIDATION_NO_ERRORS`

Constructor Summary
`ModalChoiceGroup()` Constructor
`ModalChoiceGroup(java.util.List promptDefinitionsAndSubgroups)` Constructor
`ModalChoiceGroup(java.lang.String label, java.util.Locale labelLocale, java.lang.String value)` Constructor

Method Summary
`void` | `configureAttributes(java.util.Map<java.lang.String,?> options, java.util.Map<java.lang.String,?> context)`
`java.lang.String` | `getValue()` Returns the value associated with this ModalChoiceGroup.
`void` | `setValue(java.lang.String value)` Sets the value associated with this ModalChoiceGroup.

Methods inherited from class com.sas.prompts.groups.TransparentGroup
`addPromptSubgroup, addPromptSubgroup, isTransparent`

Methods inherited from class com.sas.prompts.groups.PromptGroup
`addPromptDefinition, addPromptDefinition, addPromptDefinitionCombination, addPromptDefinitions, containsSubgroup, findPromptSubgroup, getApplicationContext, getAttributeDescriptors, getDependentPromptsForAttributes, getLocalizableProperties, getMaxVersion, getPromptDefinition, getPromptDefinitionCombinations, getPromptDefinitions, getPromptDefinitionsAndSubgroups, getPromptDefinitionsAndSubgroups, getPromptGroupDescription, getPromptGroupDescriptions, getPromptGroupLabel, getPromptGroupLabels, getPromptGroupLayout, getPromptID, getPromptSubgroups, getScript, getScripts, getSubstitutionProperties, getUIConfiguration, getVersion, getWritableLayoutInfo, hasPromptDefinition, indexOfPromptDefinitionOrSubgroup, isClearPromptValuesWhenHidden, isIgnorePromptValuesWhenHidden, isPromptGroupDisabled, isPromptGroupHidden, removeAll, removeAllPromptDefinitions, removeAllPromptSubgroups, removePromptDefinition, removePromptDefinitionCombination, removePromptSubgroup, removeScript, replacePromptDefintion, replacePromptSubgroup, setApplicationContext, setClearPromptValuesWhenHidden, setDependentPromptsForAttributes, setIgnorePromptValuesWhenHidden, setLocalizableProperties, setPromptGroupDescription, setPromptGroupDescriptions, setPromptGroupDisabled, setPromptGroupHidden, setPromptGroupLabel, setPromptGroupLabels, setPromptGroupLayout, setPromptID, setScript, setSubstitutionProperties, setTransparent, setUIConfiguration, toString, writeLayout`

Methods inherited from interface com.sas.prompts.groups.PromptGroupInterface
`addPromptDefinition, addPromptDefinition, addPromptDefinitions, addPromptSubgroup, addPromptSubgroup, containsSubgroup, findPromptSubgroup, getPromptDefinition, getPromptDefinitions, getPromptDefinitionsAndSubgroups, getPromptDefinitionsAndSubgroups, getPromptGroupDescription, getPromptGroupDescriptions, getPromptGroupLabel, getPromptGroupLabels, getPromptSubgroups, hasPromptDefinition, indexOfPromptDefinitionOrSubgroup, isPromptGroupHidden, removeAll, removeAllPromptDefinitions, removeAllPromptSubgroups, removePromptDefinition, removePromptSubgroup, replacePromptDefintion, replacePromptSubgroup, setPromptGroupDescription, setPromptGroupDescriptions, setPromptGroupHidden, setPromptGroupLabel, setPromptGroupLabels`

Constructor Detail

### ModalChoiceGroup

    public ModalChoiceGroup()

  Constructor

### ModalChoiceGroup

    public ModalChoiceGroup(java.lang.String label,
                            java.util.Locale labelLocale,
                            java.lang.String value)

  Constructor

  Parameters:
    `label` - The label of the group to present for selection.
    `labelLocale` - The locale of the label
    `value` - The value to associate with the selection of the ModalChoiceGroup

### ModalChoiceGroup

    public ModalChoiceGroup(java.util.List promptDefinitionsAndSubgroups)

  Constructor

  Parameters:
    `promptDefinitionsAndSubgroups` - The prompts and subgroups to add to this ModalChoiceGroup. Note that any subgroups must be TransparentGroups.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value associated with this ModalChoiceGroup.

  Specified by:
    `getValue` in interface `com.sas.prompts.groups.ModalChoiceGroupInterface`
  Returns:
    the value associated with this ModalChoiceGroup

### setValue

    public void setValue(java.lang.String value)

  Sets the value associated with this ModalChoiceGroup.

  Specified by:
    `setValue` in interface `com.sas.prompts.groups.ModalChoiceGroupInterface`
  Parameters:
    `value` - The value associated with this ModalChoiceGroup

### configureAttributes

    public void configureAttributes(java.util.Map<java.lang.String,?> options,
                                    java.util.Map<java.lang.String,?> context)

  Specified by:
    `configureAttributes` in interface `com.sas.util.AttributeConfigurationInterface`
  Overrides:
    `configureAttributes` in class `PromptGroup`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.